{
  "schema_version": "1.4.0",
  "id": "GHSA-x2h6-2q5c-v7px",
  "modified": "2022-05-01T18:37:25Z",
  "published": "2022-05-01T18:37:25Z",
  "aliases": [
    "CVE-2007-5849"
  ],
  "details": "Integer underflow in the asn1_get_string function in the SNMP back end (backend/snmp.c) for CUPS 1.2 through 1.3.4 allows remote attackers to execute arbitrary code via a crafted SNMP response that triggers a stack-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-5849"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/39097"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/39101"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2008-January/msg00908.html"
    },
    {
      "type": "WEB",
      "url": "http://bugs.gentoo.org/show_bug.cgi?id=201570"
    },
    {
      "type": "WEB",
      "url": "http://docs.info.apple.com/article.html?artnum=307179"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce/2007/Dec/msg00002.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2008-01/msg00003.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28113"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28129"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28136"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28200"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28386"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28441"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28636"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28676"
    },
    {
      "type": "WEB",
      "url": "http://www.cups.org/str.php?L2589"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2007/dsa-1437"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-200712-14.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2008:036"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/suse_security_summary_report.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/26910"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/26917"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-563-1"
    },
    {
      "type": "WEB",
      "url": "http://www.us-cert.gov/cas/techalerts/TA07-352A.html"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/4238"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/4242"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-12-19T21:46:00Z"
  }
}